Page MenuHomePhabricator

Please add ISO code interwikis for non-standard language codes
Closed, ResolvedPublic

Description

Author: conrad.irwin

Description:
As the first part of getting #8217 fixed, can I please request the following language aliases for interwiki link prefixes.

nan = zh-min-nan
vro = fiu-vro
cmn = zh
lzh = zh-classical
yue = zh-yue
rup = roa-rup


Version: unspecified
Severity: enhancement

Details

Reference
bz21915

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:57 PM
bzimport set Reference to bz21915.
bzimport created this task.Dec 21 2009, 3:16 PM

Change 141099 had a related patch set uploaded by TTO:
Add additional interwiki links as requested in various bugs

https://gerrit.wikimedia.org/r/141099

Change 141099 merged by jenkins-bot:
Add additional interwiki links as requested in various bugs

https://gerrit.wikimedia.org/r/141099

TTO added a comment.Sep 17 2014, 11:41 AM

Patch is merged; this is just waiting on a manual update of interwiki.cdb

TTO added a comment.Sep 30 2014, 1:47 AM

This is working now, expect for nan:. Need to investigate this.

jayvdb added a subscriber: jayvdb.Jan 15 2015, 10:34 PM

Some analysis of nan at T86915

TTO closed this task as Resolved.May 10 2015, 5:51 AM

nan: seems to work now. I'm not sure what was ever wrong with it; my September comment wasn't very specific.

Koavf added a subscriber: Koavf.Aug 25 2015, 6:02 AM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 25 2015, 6:02 AM
Meno25 removed a subscriber: Meno25.Sep 20 2015, 3:26 PM
Fomafix added a subscriber: Fomafix.Wed, Aug 7, 2:44 PM

Change 528831 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[operations/dns@master] Add 'cmn' as alias for 'zh'

https://gerrit.wikimedia.org/r/528831

Change 528835 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[operations/puppet@production] Add 'cmn' as alias for 'zh'

https://gerrit.wikimedia.org/r/528835